convertToDateTime {openxlsx} | R Documentation

## Convert from excel time number to R POSIXct type.

### Description

Convert from excel time number to R POSIXct type.

### Usage

    convertToDateTime(x, origin = "1900-01-01", ...)

### Arguments

`x` | A numeric vector
`origin` | date. Default value is for Windows Excel 2010
`...` | Additional parameters passed to as.POSIXct

### Details

Excel stores dates as number of days from some origin date

### Examples

    ## 2014-07-01, 2014-06-30, 2014-06-29
    x <- c(41821.8127314815, 41820.8127314815, NA, 41819, NaN)
    convertToDateTime(x)
    convertToDateTime(x, tx = "Australia/Perth")

[Package openxlsx version 4.1.0 Index]